{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends 'DatatourismeWebAppBundle::modal.html.twig' %}

{% block title %}
    Aperçu de l'alignement
{% endblock %}

{% block modal_class %}
    modal-fh
{% endblock %}

{% block modal_dialog_class %}
    modal-xl
{% endblock %}

{% block modal_body_class %}
    p-0
{% endblock %}

{% block footer %}
    <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
{% endblock %}

{% block body %}
    <alignment-preview-navigator definition="definition" type="class.uri"></alignment-preview-navigator>

    <script>
        (function (app) {
            app.config(['appConfig',
                function(appConfig) {
                    appConfig.endpoints = {
                        ontology:   "{{ path('api.ontology', {profile: 'alignment'}) }}",
                        alignment:  "{{ path('api.rules', {flux_id: flux.id, revision_id: revision.id}) }}",
                        preview:    "{{ path('api.preview', {flux_id: flux.id}) }}"
                    };
                }]);

            angular.bootstrap($("alignment-preview-navigator"), ['preview-navigator']);
        })(angular.module('preview-navigator', ['alignment-editor']));
    </script>
{% endblock %}